Bug 127121 - Postfix LDAP query_filter broken
Postfix LDAP query_filter broken
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: postfix (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-02 04:09 EDT by Jon Benson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-15 19:07:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Benson 2004-07-02 04:09:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 
MyIE2; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
When attempting to use LDAP table lookups with Postfix it does not 
recognise the query_filter option and hence only uses the default 
query.


Version-Release number of selected component (if applicable):
postfix-2.0.16-13.RHEL3

How reproducible:
Always

Steps to Reproduce:
1. Setup an LDAP lookup with a custom query filter
2. Use postmap to test the filter

    

Actual Results:  postmap: dict_ldap_lookup: Searching with filter 
(mailacceptinggeneralid=user@domain.net)
postmap: warning: dict_ldap_lookup: Search error 32: No such object

Expected Results:  It should be using the custom query filter.

Additional info:

Sample LDAP config:
server_host = 127.0.0.1
#server_port = 389
search_base = ou=mailUsers,dc=ozhosting,dc=com
timeout = 5
query_filter = (uid=%s)
result_filter = %s any_value
result_attribute = uid
bind_dn = cn=Manager,dc=ozhosting,dc=com
bind_pw = password
expansion_limit = 1

Sample test:
postmap -v -q user@domain.net ldap:/etc/postfix/ldap-recipients.cf
Comment 1 Jon Benson 2004-07-04 20:43:35 EDT
My apologies.  I was trying to use a feature of postfix 2.1 and did 
not realise that it was not present in 2.0

May I suggest you consider updating postfix to 2.1 in the next update 
of RHEL3, if not sooner.
Comment 2 Suzanne Hillman 2004-08-09 11:54:32 EDT
Internal RFE bug #129478 entered; will be considered for future releases.
Comment 3 dff 2004-08-15 19:07:21 EDT
RHEL 4 will include postfix 2.1+.

Note You need to log in before you can comment on or make changes to this bug.